Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network127.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
127.0.0.0
Broadcast address
127.255.255.255
First usable
127.0.0.1
Last usable
127.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Loopback 127.0.0.0/8
This computer
Old class
A (default /8)
As numbers
Hex 7F000000 · Integer 2130706432 to 2147483647
Reverse DNS zone
127.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111111..00000000.00000000.00000000127.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01111111..00000000.00000000.00000000127.0.0.0
Broadcast01111111..11111111.11111111.11111111127.255.255.255
Split into smaller subnets/17

127.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1127.0.0.0/17127.0.0.1 to 127.0.127.254127.0.127.25532,766
2127.0.128.0/17127.0.128.1 to 127.0.255.254127.0.255.25532,766
3127.1.0.0/17127.1.0.1 to 127.1.127.254127.1.127.25532,766
4127.1.128.0/17127.1.128.1 to 127.1.255.254127.1.255.25532,766
5127.2.0.0/17127.2.0.1 to 127.2.127.254127.2.127.25532,766
6127.2.128.0/17127.2.128.1 to 127.2.255.254127.2.255.25532,766
7127.3.0.0/17127.3.0.1 to 127.3.127.254127.3.127.25532,766
8127.3.128.0/17127.3.128.1 to 127.3.255.254127.3.255.25532,766
9127.4.0.0/17127.4.0.1 to 127.4.127.254127.4.127.25532,766
10127.4.128.0/17127.4.128.1 to 127.4.255.254127.4.255.25532,766
11127.5.0.0/17127.5.0.1 to 127.5.127.254127.5.127.25532,766
12127.5.128.0/17127.5.128.1 to 127.5.255.254127.5.255.25532,766
13127.6.0.0/17127.6.0.1 to 127.6.127.254127.6.127.25532,766
14127.6.128.0/17127.6.128.1 to 127.6.255.254127.6.255.25532,766
15127.7.0.0/17127.7.0.1 to 127.7.127.254127.7.127.25532,766
16127.7.128.0/17127.7.128.1 to 127.7.255.254127.7.255.25532,766
17127.8.0.0/17127.8.0.1 to 127.8.127.254127.8.127.25532,766
18127.8.128.0/17127.8.128.1 to 127.8.255.254127.8.255.25532,766
19127.9.0.0/17127.9.0.1 to 127.9.127.254127.9.127.25532,766
20127.9.128.0/17127.9.128.1 to 127.9.255.254127.9.255.25532,766
21127.10.0.0/17127.10.0.1 to 127.10.127.254127.10.127.25532,766
22127.10.128.0/17127.10.128.1 to 127.10.255.254127.10.255.25532,766
23127.11.0.0/17127.11.0.1 to 127.11.127.254127.11.127.25532,766
24127.11.128.0/17127.11.128.1 to 127.11.255.254127.11.255.25532,766
25127.12.0.0/17127.12.0.1 to 127.12.127.254127.12.127.25532,766
26127.12.128.0/17127.12.128.1 to 127.12.255.254127.12.255.25532,766
27127.13.0.0/17127.13.0.1 to 127.13.127.254127.13.127.25532,766
28127.13.128.0/17127.13.128.1 to 127.13.255.254127.13.255.25532,766
29127.14.0.0/17127.14.0.1 to 127.14.127.254127.14.127.25532,766
30127.14.128.0/17127.14.128.1 to 127.14.255.254127.14.255.25532,766
31127.15.0.0/17127.15.0.1 to 127.15.127.254127.15.127.25532,766
32127.15.128.0/17127.15.128.1 to 127.15.255.254127.15.255.25532,766
33127.16.0.0/17127.16.0.1 to 127.16.127.254127.16.127.25532,766
34127.16.128.0/17127.16.128.1 to 127.16.255.254127.16.255.25532,766
35127.17.0.0/17127.17.0.1 to 127.17.127.254127.17.127.25532,766
36127.17.128.0/17127.17.128.1 to 127.17.255.254127.17.255.25532,766
37127.18.0.0/17127.18.0.1 to 127.18.127.254127.18.127.25532,766
38127.18.128.0/17127.18.128.1 to 127.18.255.254127.18.255.25532,766
39127.19.0.0/17127.19.0.1 to 127.19.127.254127.19.127.25532,766
40127.19.128.0/17127.19.128.1 to 127.19.255.254127.19.255.25532,766
41127.20.0.0/17127.20.0.1 to 127.20.127.254127.20.127.25532,766
42127.20.128.0/17127.20.128.1 to 127.20.255.254127.20.255.25532,766
43127.21.0.0/17127.21.0.1 to 127.21.127.254127.21.127.25532,766
44127.21.128.0/17127.21.128.1 to 127.21.255.254127.21.255.25532,766
45127.22.0.0/17127.22.0.1 to 127.22.127.254127.22.127.25532,766
46127.22.128.0/17127.22.128.1 to 127.22.255.254127.22.255.25532,766
47127.23.0.0/17127.23.0.1 to 127.23.127.254127.23.127.25532,766
48127.23.128.0/17127.23.128.1 to 127.23.255.254127.23.255.25532,766
49127.24.0.0/17127.24.0.1 to 127.24.127.254127.24.127.25532,766
50127.24.128.0/17127.24.128.1 to 127.24.255.254127.24.255.25532,766
51127.25.0.0/17127.25.0.1 to 127.25.127.254127.25.127.25532,766
52127.25.128.0/17127.25.128.1 to 127.25.255.254127.25.255.25532,766
53127.26.0.0/17127.26.0.1 to 127.26.127.254127.26.127.25532,766
54127.26.128.0/17127.26.128.1 to 127.26.255.254127.26.255.25532,766
55127.27.0.0/17127.27.0.1 to 127.27.127.254127.27.127.25532,766
56127.27.128.0/17127.27.128.1 to 127.27.255.254127.27.255.25532,766
57127.28.0.0/17127.28.0.1 to 127.28.127.254127.28.127.25532,766
58127.28.128.0/17127.28.128.1 to 127.28.255.254127.28.255.25532,766
59127.29.0.0/17127.29.0.1 to 127.29.127.254127.29.127.25532,766
60127.29.128.0/17127.29.128.1 to 127.29.255.254127.29.255.25532,766
61127.30.0.0/17127.30.0.1 to 127.30.127.254127.30.127.25532,766
62127.30.128.0/17127.30.128.1 to 127.30.255.254127.30.255.25532,766
63127.31.0.0/17127.31.0.1 to 127.31.127.254127.31.127.25532,766
64127.31.128.0/17127.31.128.1 to 127.31.255.254127.31.255.25532,766
65127.32.0.0/17127.32.0.1 to 127.32.127.254127.32.127.25532,766
66127.32.128.0/17127.32.128.1 to 127.32.255.254127.32.255.25532,766
67127.33.0.0/17127.33.0.1 to 127.33.127.254127.33.127.25532,766
68127.33.128.0/17127.33.128.1 to 127.33.255.254127.33.255.25532,766
69127.34.0.0/17127.34.0.1 to 127.34.127.254127.34.127.25532,766
70127.34.128.0/17127.34.128.1 to 127.34.255.254127.34.255.25532,766
71127.35.0.0/17127.35.0.1 to 127.35.127.254127.35.127.25532,766
72127.35.128.0/17127.35.128.1 to 127.35.255.254127.35.255.25532,766
73127.36.0.0/17127.36.0.1 to 127.36.127.254127.36.127.25532,766
74127.36.128.0/17127.36.128.1 to 127.36.255.254127.36.255.25532,766
75127.37.0.0/17127.37.0.1 to 127.37.127.254127.37.127.25532,766
76127.37.128.0/17127.37.128.1 to 127.37.255.254127.37.255.25532,766
77127.38.0.0/17127.38.0.1 to 127.38.127.254127.38.127.25532,766
78127.38.128.0/17127.38.128.1 to 127.38.255.254127.38.255.25532,766
79127.39.0.0/17127.39.0.1 to 127.39.127.254127.39.127.25532,766
80127.39.128.0/17127.39.128.1 to 127.39.255.254127.39.255.25532,766
81127.40.0.0/17127.40.0.1 to 127.40.127.254127.40.127.25532,766
82127.40.128.0/17127.40.128.1 to 127.40.255.254127.40.255.25532,766
83127.41.0.0/17127.41.0.1 to 127.41.127.254127.41.127.25532,766
84127.41.128.0/17127.41.128.1 to 127.41.255.254127.41.255.25532,766
85127.42.0.0/17127.42.0.1 to 127.42.127.254127.42.127.25532,766
86127.42.128.0/17127.42.128.1 to 127.42.255.254127.42.255.25532,766
87127.43.0.0/17127.43.0.1 to 127.43.127.254127.43.127.25532,766
88127.43.128.0/17127.43.128.1 to 127.43.255.254127.43.255.25532,766
89127.44.0.0/17127.44.0.1 to 127.44.127.254127.44.127.25532,766
90127.44.128.0/17127.44.128.1 to 127.44.255.254127.44.255.25532,766
91127.45.0.0/17127.45.0.1 to 127.45.127.254127.45.127.25532,766
92127.45.128.0/17127.45.128.1 to 127.45.255.254127.45.255.25532,766
93127.46.0.0/17127.46.0.1 to 127.46.127.254127.46.127.25532,766
94127.46.128.0/17127.46.128.1 to 127.46.255.254127.46.255.25532,766
95127.47.0.0/17127.47.0.1 to 127.47.127.254127.47.127.25532,766
96127.47.128.0/17127.47.128.1 to 127.47.255.254127.47.255.25532,766
97127.48.0.0/17127.48.0.1 to 127.48.127.254127.48.127.25532,766
98127.48.128.0/17127.48.128.1 to 127.48.255.254127.48.255.25532,766
99127.49.0.0/17127.49.0.1 to 127.49.127.254127.49.127.25532,766
100127.49.128.0/17127.49.128.1 to 127.49.255.254127.49.255.25532,766
101127.50.0.0/17127.50.0.1 to 127.50.127.254127.50.127.25532,766
102127.50.128.0/17127.50.128.1 to 127.50.255.254127.50.255.25532,766
103127.51.0.0/17127.51.0.1 to 127.51.127.254127.51.127.25532,766
104127.51.128.0/17127.51.128.1 to 127.51.255.254127.51.255.25532,766
105127.52.0.0/17127.52.0.1 to 127.52.127.254127.52.127.25532,766
106127.52.128.0/17127.52.128.1 to 127.52.255.254127.52.255.25532,766
107127.53.0.0/17127.53.0.1 to 127.53.127.254127.53.127.25532,766
108127.53.128.0/17127.53.128.1 to 127.53.255.254127.53.255.25532,766
109127.54.0.0/17127.54.0.1 to 127.54.127.254127.54.127.25532,766
110127.54.128.0/17127.54.128.1 to 127.54.255.254127.54.255.25532,766
111127.55.0.0/17127.55.0.1 to 127.55.127.254127.55.127.25532,766
112127.55.128.0/17127.55.128.1 to 127.55.255.254127.55.255.25532,766
113127.56.0.0/17127.56.0.1 to 127.56.127.254127.56.127.25532,766
114127.56.128.0/17127.56.128.1 to 127.56.255.254127.56.255.25532,766
115127.57.0.0/17127.57.0.1 to 127.57.127.254127.57.127.25532,766
116127.57.128.0/17127.57.128.1 to 127.57.255.254127.57.255.25532,766
117127.58.0.0/17127.58.0.1 to 127.58.127.254127.58.127.25532,766
118127.58.128.0/17127.58.128.1 to 127.58.255.254127.58.255.25532,766
119127.59.0.0/17127.59.0.1 to 127.59.127.254127.59.127.25532,766
120127.59.128.0/17127.59.128.1 to 127.59.255.254127.59.255.25532,766
121127.60.0.0/17127.60.0.1 to 127.60.127.254127.60.127.25532,766
122127.60.128.0/17127.60.128.1 to 127.60.255.254127.60.255.25532,766
123127.61.0.0/17127.61.0.1 to 127.61.127.254127.61.127.25532,766
124127.61.128.0/17127.61.128.1 to 127.61.255.254127.61.255.25532,766
125127.62.0.0/17127.62.0.1 to 127.62.127.254127.62.127.25532,766
126127.62.128.0/17127.62.128.1 to 127.62.255.254127.62.255.25532,766
127127.63.0.0/17127.63.0.1 to 127.63.127.254127.63.127.25532,766
128127.63.128.0/17127.63.128.1 to 127.63.255.254127.63.255.25532,766
129127.64.0.0/17127.64.0.1 to 127.64.127.254127.64.127.25532,766
130127.64.128.0/17127.64.128.1 to 127.64.255.254127.64.255.25532,766
131127.65.0.0/17127.65.0.1 to 127.65.127.254127.65.127.25532,766
132127.65.128.0/17127.65.128.1 to 127.65.255.254127.65.255.25532,766
133127.66.0.0/17127.66.0.1 to 127.66.127.254127.66.127.25532,766
134127.66.128.0/17127.66.128.1 to 127.66.255.254127.66.255.25532,766
135127.67.0.0/17127.67.0.1 to 127.67.127.254127.67.127.25532,766
136127.67.128.0/17127.67.128.1 to 127.67.255.254127.67.255.25532,766
137127.68.0.0/17127.68.0.1 to 127.68.127.254127.68.127.25532,766
138127.68.128.0/17127.68.128.1 to 127.68.255.254127.68.255.25532,766
139127.69.0.0/17127.69.0.1 to 127.69.127.254127.69.127.25532,766
140127.69.128.0/17127.69.128.1 to 127.69.255.254127.69.255.25532,766
141127.70.0.0/17127.70.0.1 to 127.70.127.254127.70.127.25532,766
142127.70.128.0/17127.70.128.1 to 127.70.255.254127.70.255.25532,766
143127.71.0.0/17127.71.0.1 to 127.71.127.254127.71.127.25532,766
144127.71.128.0/17127.71.128.1 to 127.71.255.254127.71.255.25532,766
145127.72.0.0/17127.72.0.1 to 127.72.127.254127.72.127.25532,766
146127.72.128.0/17127.72.128.1 to 127.72.255.254127.72.255.25532,766
147127.73.0.0/17127.73.0.1 to 127.73.127.254127.73.127.25532,766
148127.73.128.0/17127.73.128.1 to 127.73.255.254127.73.255.25532,766
149127.74.0.0/17127.74.0.1 to 127.74.127.254127.74.127.25532,766
150127.74.128.0/17127.74.128.1 to 127.74.255.254127.74.255.25532,766
151127.75.0.0/17127.75.0.1 to 127.75.127.254127.75.127.25532,766
152127.75.128.0/17127.75.128.1 to 127.75.255.254127.75.255.25532,766
153127.76.0.0/17127.76.0.1 to 127.76.127.254127.76.127.25532,766
154127.76.128.0/17127.76.128.1 to 127.76.255.254127.76.255.25532,766
155127.77.0.0/17127.77.0.1 to 127.77.127.254127.77.127.25532,766
156127.77.128.0/17127.77.128.1 to 127.77.255.254127.77.255.25532,766
157127.78.0.0/17127.78.0.1 to 127.78.127.254127.78.127.25532,766
158127.78.128.0/17127.78.128.1 to 127.78.255.254127.78.255.25532,766
159127.79.0.0/17127.79.0.1 to 127.79.127.254127.79.127.25532,766
160127.79.128.0/17127.79.128.1 to 127.79.255.254127.79.255.25532,766
161127.80.0.0/17127.80.0.1 to 127.80.127.254127.80.127.25532,766
162127.80.128.0/17127.80.128.1 to 127.80.255.254127.80.255.25532,766
163127.81.0.0/17127.81.0.1 to 127.81.127.254127.81.127.25532,766
164127.81.128.0/17127.81.128.1 to 127.81.255.254127.81.255.25532,766
165127.82.0.0/17127.82.0.1 to 127.82.127.254127.82.127.25532,766
166127.82.128.0/17127.82.128.1 to 127.82.255.254127.82.255.25532,766
167127.83.0.0/17127.83.0.1 to 127.83.127.254127.83.127.25532,766
168127.83.128.0/17127.83.128.1 to 127.83.255.254127.83.255.25532,766
169127.84.0.0/17127.84.0.1 to 127.84.127.254127.84.127.25532,766
170127.84.128.0/17127.84.128.1 to 127.84.255.254127.84.255.25532,766
171127.85.0.0/17127.85.0.1 to 127.85.127.254127.85.127.25532,766
172127.85.128.0/17127.85.128.1 to 127.85.255.254127.85.255.25532,766
173127.86.0.0/17127.86.0.1 to 127.86.127.254127.86.127.25532,766
174127.86.128.0/17127.86.128.1 to 127.86.255.254127.86.255.25532,766
175127.87.0.0/17127.87.0.1 to 127.87.127.254127.87.127.25532,766
176127.87.128.0/17127.87.128.1 to 127.87.255.254127.87.255.25532,766
177127.88.0.0/17127.88.0.1 to 127.88.127.254127.88.127.25532,766
178127.88.128.0/17127.88.128.1 to 127.88.255.254127.88.255.25532,766
179127.89.0.0/17127.89.0.1 to 127.89.127.254127.89.127.25532,766
180127.89.128.0/17127.89.128.1 to 127.89.255.254127.89.255.25532,766
181127.90.0.0/17127.90.0.1 to 127.90.127.254127.90.127.25532,766
182127.90.128.0/17127.90.128.1 to 127.90.255.254127.90.255.25532,766
183127.91.0.0/17127.91.0.1 to 127.91.127.254127.91.127.25532,766
184127.91.128.0/17127.91.128.1 to 127.91.255.254127.91.255.25532,766
185127.92.0.0/17127.92.0.1 to 127.92.127.254127.92.127.25532,766
186127.92.128.0/17127.92.128.1 to 127.92.255.254127.92.255.25532,766
187127.93.0.0/17127.93.0.1 to 127.93.127.254127.93.127.25532,766
188127.93.128.0/17127.93.128.1 to 127.93.255.254127.93.255.25532,766
189127.94.0.0/17127.94.0.1 to 127.94.127.254127.94.127.25532,766
190127.94.128.0/17127.94.128.1 to 127.94.255.254127.94.255.25532,766
191127.95.0.0/17127.95.0.1 to 127.95.127.254127.95.127.25532,766
192127.95.128.0/17127.95.128.1 to 127.95.255.254127.95.255.25532,766
193127.96.0.0/17127.96.0.1 to 127.96.127.254127.96.127.25532,766
194127.96.128.0/17127.96.128.1 to 127.96.255.254127.96.255.25532,766
195127.97.0.0/17127.97.0.1 to 127.97.127.254127.97.127.25532,766
196127.97.128.0/17127.97.128.1 to 127.97.255.254127.97.255.25532,766
197127.98.0.0/17127.98.0.1 to 127.98.127.254127.98.127.25532,766
198127.98.128.0/17127.98.128.1 to 127.98.255.254127.98.255.25532,766
199127.99.0.0/17127.99.0.1 to 127.99.127.254127.99.127.25532,766
200127.99.128.0/17127.99.128.1 to 127.99.255.254127.99.255.25532,766
201127.100.0.0/17127.100.0.1 to 127.100.127.254127.100.127.25532,766
202127.100.128.0/17127.100.128.1 to 127.100.255.254127.100.255.25532,766
203127.101.0.0/17127.101.0.1 to 127.101.127.254127.101.127.25532,766
204127.101.128.0/17127.101.128.1 to 127.101.255.254127.101.255.25532,766
205127.102.0.0/17127.102.0.1 to 127.102.127.254127.102.127.25532,766
206127.102.128.0/17127.102.128.1 to 127.102.255.254127.102.255.25532,766
207127.103.0.0/17127.103.0.1 to 127.103.127.254127.103.127.25532,766
208127.103.128.0/17127.103.128.1 to 127.103.255.254127.103.255.25532,766
209127.104.0.0/17127.104.0.1 to 127.104.127.254127.104.127.25532,766
210127.104.128.0/17127.104.128.1 to 127.104.255.254127.104.255.25532,766
211127.105.0.0/17127.105.0.1 to 127.105.127.254127.105.127.25532,766
212127.105.128.0/17127.105.128.1 to 127.105.255.254127.105.255.25532,766
213127.106.0.0/17127.106.0.1 to 127.106.127.254127.106.127.25532,766
214127.106.128.0/17127.106.128.1 to 127.106.255.254127.106.255.25532,766
215127.107.0.0/17127.107.0.1 to 127.107.127.254127.107.127.25532,766
216127.107.128.0/17127.107.128.1 to 127.107.255.254127.107.255.25532,766
217127.108.0.0/17127.108.0.1 to 127.108.127.254127.108.127.25532,766
218127.108.128.0/17127.108.128.1 to 127.108.255.254127.108.255.25532,766
219127.109.0.0/17127.109.0.1 to 127.109.127.254127.109.127.25532,766
220127.109.128.0/17127.109.128.1 to 127.109.255.254127.109.255.25532,766
221127.110.0.0/17127.110.0.1 to 127.110.127.254127.110.127.25532,766
222127.110.128.0/17127.110.128.1 to 127.110.255.254127.110.255.25532,766
223127.111.0.0/17127.111.0.1 to 127.111.127.254127.111.127.25532,766
224127.111.128.0/17127.111.128.1 to 127.111.255.254127.111.255.25532,766
225127.112.0.0/17127.112.0.1 to 127.112.127.254127.112.127.25532,766
226127.112.128.0/17127.112.128.1 to 127.112.255.254127.112.255.25532,766
227127.113.0.0/17127.113.0.1 to 127.113.127.254127.113.127.25532,766
228127.113.128.0/17127.113.128.1 to 127.113.255.254127.113.255.25532,766
229127.114.0.0/17127.114.0.1 to 127.114.127.254127.114.127.25532,766
230127.114.128.0/17127.114.128.1 to 127.114.255.254127.114.255.25532,766
231127.115.0.0/17127.115.0.1 to 127.115.127.254127.115.127.25532,766
232127.115.128.0/17127.115.128.1 to 127.115.255.254127.115.255.25532,766
233127.116.0.0/17127.116.0.1 to 127.116.127.254127.116.127.25532,766
234127.116.128.0/17127.116.128.1 to 127.116.255.254127.116.255.25532,766
235127.117.0.0/17127.117.0.1 to 127.117.127.254127.117.127.25532,766
236127.117.128.0/17127.117.128.1 to 127.117.255.254127.117.255.25532,766
237127.118.0.0/17127.118.0.1 to 127.118.127.254127.118.127.25532,766
238127.118.128.0/17127.118.128.1 to 127.118.255.254127.118.255.25532,766
239127.119.0.0/17127.119.0.1 to 127.119.127.254127.119.127.25532,766
240127.119.128.0/17127.119.128.1 to 127.119.255.254127.119.255.25532,766
241127.120.0.0/17127.120.0.1 to 127.120.127.254127.120.127.25532,766
242127.120.128.0/17127.120.128.1 to 127.120.255.254127.120.255.25532,766
243127.121.0.0/17127.121.0.1 to 127.121.127.254127.121.127.25532,766
244127.121.128.0/17127.121.128.1 to 127.121.255.254127.121.255.25532,766
245127.122.0.0/17127.122.0.1 to 127.122.127.254127.122.127.25532,766
246127.122.128.0/17127.122.128.1 to 127.122.255.254127.122.255.25532,766
247127.123.0.0/17127.123.0.1 to 127.123.127.254127.123.127.25532,766
248127.123.128.0/17127.123.128.1 to 127.123.255.254127.123.255.25532,766
249127.124.0.0/17127.124.0.1 to 127.124.127.254127.124.127.25532,766
250127.124.128.0/17127.124.128.1 to 127.124.255.254127.124.255.25532,766
251127.125.0.0/17127.125.0.1 to 127.125.127.254127.125.127.25532,766
252127.125.128.0/17127.125.128.1 to 127.125.255.254127.125.255.25532,766
253127.126.0.0/17127.126.0.1 to 127.126.127.254127.126.127.25532,766
254127.126.128.0/17127.126.128.1 to 127.126.255.254127.126.255.25532,766
255127.127.0.0/17127.127.0.1 to 127.127.127.254127.127.127.25532,766
256127.127.128.0/17127.127.128.1 to 127.127.255.254127.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses